package org.chenyang.http.impl.conn.tsccm;

import org.chenyang.http.conn.ClientConnectionManager;
import org.chenyang.http.impl.conn.AbstractPoolEntry;
import org.chenyang.http.impl.conn.AbstractPooledConnAdapter;

/** @deprecated */
@Deprecated
public class BasicPooledConnAdapter extends AbstractPooledConnAdapter {
   protected BasicPooledConnAdapter(ThreadSafeClientConnManager tsccm, AbstractPoolEntry entry) {
      super(tsccm, entry);
      this.markReusable();
   }

   protected ClientConnectionManager getManager() {
      return super.getManager();
   }

   protected AbstractPoolEntry getPoolEntry() {
      return super.getPoolEntry();
   }

   protected void detach() {
      super.detach();
   }
}
